Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.model.impl
Class TreeNodeImpl

    java.lang.Object
      com.jaspersoft.jasperserver.war.model.impl.TreeNodeImpl

All Implemented Interfaces:
  JSONObject, TreeNode

    public class TreeNodeImpl

extends java.lang.Object
implements TreeNode

Implementation of TreeNode

Author:
  asokolnikov

Field Summary
`protected java.util.List` | `children`
`protected TreeDataProvider` | `dataProvider`
`protected JSONObject` | `extraProperty`
`protected java.lang.String` | `id`
`protected java.lang.String` | `label`
`protected java.lang.String` | `type`
`protected java.lang.String` | `uri`

Fields inherited from interface com.jaspersoft.jasperserver.war.model.TreeNode
`ID, LABEL, TYPE, URI`

Constructor Summary
`TreeNodeImpl(TreeDataProvider dataProvider, java.lang.String id, java.lang.String label, java.lang.String type, java.lang.String uri)`
`TreeNodeImpl(TreeDataProvider dataProvider, java.lang.String id, java.lang.String label, java.lang.String type, java.lang.String uri, JSONObject extraProperty)`

Method Summary
`protected java.lang.String` | `escape(java.lang.String str)`
`java.util.List` | `getChildren()`
`JSONObject` | `getExtraProperty()` Extra property is a way for TreeDataProvider to attach its specific property or set of objects and properties to be available on client side.
`java.lang.String` | `getId()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUriString()`
`void` | `setExtraProperty(JSONObject extraProperty)`
`java.lang.String` | `toJSONString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

### label

    protected java.lang.String label

### type

    protected java.lang.String type

### uri

    protected java.lang.String uri

### extraProperty

    protected JSONObject extraProperty

### children

    protected java.util.List children

### dataProvider

    protected TreeDataProvider dataProvider

Constructor Detail

### TreeNodeImpl

    public TreeNodeImpl(TreeDataProvider dataProvider,
                        java.lang.String id,
                        java.lang.String label,
                        java.lang.String type,
                        java.lang.String uri)

### TreeNodeImpl

    public TreeNodeImpl(TreeDataProvider dataProvider,
                        java.lang.String id,
                        java.lang.String label,
                        java.lang.String type,
                        java.lang.String uri,
                        JSONObject extraProperty)

Method Detail

### getChildren

    public java.util.List getChildren()

  Specified by:
    `getChildren` in interface `TreeNode`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `TreeNode`

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `TreeNode`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `TreeNode`

### getUriString

    public java.lang.String getUriString()

  Specified by:
    `getUriString` in interface `TreeNode`

### getExtraProperty

    public JSONObject getExtraProperty()

  Description copied from interface: `TreeNode`
  Extra property is a way for TreeDataProvider to attach its specific property or set of objects and properties to be available on client side. Each client side tree node will have it in its node.param.extra property

  Specified by:
    `getExtraProperty` in interface `TreeNode`
  Returns:

### setExtraProperty

    public void setExtraProperty(JSONObject extraProperty)

### toJSONString

    public java.lang.String toJSONString()

  Specified by:
    `toJSONString` in interface `JSONObject`

### escape

    protected java.lang.String escape(java.lang.String str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.